Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/promotions/{campaignId}/stacks \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "Fifth Stack",
"tiers": {
"ids": [
"promo_aaAF8mVAzA0PF1igia2OC63d",
"promo_t9zdL6XMFk7B8fQ23zxELtdE",
"promo_dJNhAEeV5sR5oPQq1UrUdnMC"
],
"hierarchy_mode": "MANUAL"
}
}
'This method creates one promotion stack. The sequence of promotion tier IDs will determine the promotion stacking order.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/promotions/{campaignId}/stacks \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "Fifth Stack",
"tiers": {
"ids": [
"promo_aaAF8mVAzA0PF1igia2OC63d",
"promo_t9zdL6XMFk7B8fQ23zxELtdE",
"promo_dJNhAEeV5sR5oPQq1UrUdnMC"
],
"hierarchy_mode": "MANUAL"
}
}
'Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Unique campaign ID.
"camp_rRsfatlwN7unSeUIJDCYedal"
Specify the order of promotion tiers for the promotion stack.
Returns a new stack object if a valid promotion campaign identifier was provided in the path and available promotion IDs in the payload.
Response body schema for POST v1/promotions/{campaignId}/stacks.
Promotion stack name.
Contains the tier configuration. A promotion stack can include up to 30 tiers.
Show child attributes
Unique promotion stack ID.
Timestamp representing the date and time when the promotion stack was created. The value is shown in the ISO 8601 format.
Promotion stack's parent campaign's unique ID.
The type of the object represented by JSON.
promotion_stack Promotion stack category ID.
Details about the category assigned to the promotion stack.
Show child attributes
Was this page helpful?